Bug 213163 - control-center crashes if "Keyboard Indicator" applet is available
control-center crashes if "Keyboard Indicator" applet is available
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
: 213969 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-10-30 19:27 EST by petrosyan
Modified: 2007-11-30 17:11 EST (History)
6 users (show)

See Also:
Fixed In Version: libxklavier-3.0-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-09 14:38:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
bug-buddy bugreport (6.76 KB, text/plain)
2006-10-30 19:28 EST, petrosyan
no flags Details
strace report about pup problem (50.91 KB, text/plain)
2006-11-06 15:05 EST, The Source
no flags Details

  None (edit)
Description petrosyan 2006-10-30 19:27:26 EST
Description of problem:
If "Keyboard Indicator" applet is available on the panel, and more than 1
keyboard layout is selected, /usr/libexec/gnome-settings-daemon crashes.
attaching the backtrace.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Add "Keyboard Indicator" applet to the panel
2. Add another layout (e.g. "Armenian Phonetic") to the main U.S. one
Actual results:
gnome-settings-daemon crashes

Expected results:
shouldn't crash
Comment 1 petrosyan 2006-10-30 19:28:38 EST
Created attachment 139787 [details]
bug-buddy bugreport
Comment 2 Miroslav Pragl 2006-11-03 06:50:16 EST
Reproduced on two brand new FC6 installations (both Intel P4 machines,one
desktop with Ati Radeon, second notebook with i8xx integrated graphics.

Another side effect - I can't use ctrl-alt-f1 to switch between TTYs and
XServes. NOt sure though if it relates to keyboard inicator - please comment so
that I know if to open another bugreport.
Comment 3 Radek Vokal 2006-11-03 07:43:29 EST
It even breaks compiz keyboard shortcuts .. 
Comment 4 petrosyan 2006-11-03 08:31:29 EST
ctrl-alt-f1 works fine for me. But i disabled the keyboard indicator.
Comment 5 Ray Strode [halfline] 2006-11-03 14:07:11 EST

do you have xkeyboard-config installed?  If not, that could explain why
ctrl-alt-f1 doesn't work
Comment 6 Jan Kratochvil 2006-11-03 14:13:50 EST
please check if this Bug is really just a DUPE of Bug 206898, I believe so.
Comment 7 Miroslav Pragl 2006-11-04 04:11:48 EST
Sorry to confuse you, I mentioned that these bugs COULD be related as they 
started somehow together (crashing keyboard indicator and being unable to use 
ctrl-alt-f1 to switch between consoles). Unfurtunately disabling keyboard 
indicator didn't r-enable console switching.

Comment 8 Matthias Clasen 2006-11-04 13:30:10 EST
Ray, see http://bugzilla.gnome.org/show_bug.cgi?id=370038
for another libxlavier crash fix
Comment 9 Stephanos Manos 2006-11-04 15:14:08 EST
For me downgrading libxml2 from 2.6.27-1.FC6 to 2.6.26-2.1.1 fixed the problem
wiht keyboard indicator and fixed the way a couple other applets behaved (and
the desktop generaly).

Should i fill a bug against libxml2?

Comment 10 Matthias Clasen 2006-11-05 20:56:22 EST
*** Bug 213969 has been marked as a duplicate of this bug. ***
Comment 11 Stephanos Manos 2006-11-06 12:36:38 EST
Updating libxklavirer as mentioned in BZ#213557 (and libxml2 that i have
downgraded comment #9) fixed the problem

Comment 12 The Source 2006-11-06 15:05:07 EST
Created attachment 140503 [details]
strace report about pup problem
Comment 13 The Source 2006-11-06 15:07:16 EST
I tried to install updates and something strange happened.
First puplet said thet 7 updates are available, but when I pressed apply
updates, pup started and said that some other process is accessing package
information. (Perhaps this should be reported as a separate bug).
The when I stopped puplet (and acctually had to stop yum-updatesd to remove
conflict) and launched pup, it hanged. Attaching strace report about this.
Finally when I restarted system (otherwise pup refused to do anything) and
launched pup successfully, it said that no updates are available!!! Where are 7
ones that were available before this?!
Comment 14 The Source 2006-11-08 11:36:10 EST
Downgraded libxml2 (along with libxslt). Problem dissapeared. So it is in one of
those libraries I guess (libxml2 or libxslt)
Comment 15 petrosyan 2006-11-09 14:38:11 EST
this bug has been fixed after applying the latest updates
Comment 16 The Source 2006-11-10 01:21:25 EST
Hey, what do you mean fixed?! Latest libxklavier is not enough to remove the
bug. Downgrading libxml2 and libxslt is also required. So the problem still here
Comment 17 petrosyan 2006-11-10 01:38:55 EST
I am using libxml2-2.6.27-1.FC6 and libxslt-1.1.18-1.FC6 and the applet is
working just fine. I didn't downgrade anything. Are you sure that your applet
crashes with  updated libxml2 and libxslt packages? If it still crashes, then
open a new bug, because I can't reproduce that behavior.
Comment 18 The Source 2006-11-10 01:55:58 EST
Hey, you were right! Hmmm... but I was sure I had latest libxklavier when I
encountered this bug.. Well anyway, it works fine now.

Note You need to log in before you can comment on or make changes to this bug.